#language: ru

@ignore
@exportscenarios

Функционал: Библиотека. Демо-база

Сценарий: Я устанавливаю скидку 10% на Кефир

	И В командном интерфейсе я выбираю 'Заказы' 'Скидки (наценки)'
	Тогда открылось окно 'Скидки (наценки)'
	И в таблице "Список" я перехожу к строке:
		| 'Действует по'       | 'Действует с'        | 'Согласование' | 'Статус'      | 'Тип'                       |
		| '25.02.2021 0:00:00' | '15.02.2021 0:00:00' | 'Согласован'   | 'Подготовлен' | 'Процентом на номенклатуру' |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Скидка (наценка) * от * (Подготовлен)'
	И я перехожу к закладке с именем "Страница_Номенклатура"
	И в таблице "Товары" я нажимаю на кнопку с именем 'ТоварыПодобратьНоменклатуру'
	Тогда открылось окно 'Подбор номенклатуры'
	Если в таблице "Список" нет строк Тогда
		| 'Наименование' |
		| 'Кефир'        |
		И я нажимаю на кнопку с именем 'ИспользоватьИерархию'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Кефир'        |
	И в таблице "Список" я выбираю текущую строку
	И я нажимаю на кнопку с именем 'ОК'
	Тогда открылось окно 'Скидка (наценка) * от * (Подготовлен)'
	И в таблице "Товары" я перехожу к строке:
		| 'Номенклатура' |
		| 'Кефир'        |
	И в таблице "Товары" в поле с именем 'ТоварыПроцентСкидки' я ввожу текст '10,00'
	И в таблице "Товары" я завершаю редактирование строки
	И я нажимаю на кнопку с именем 'ФормаПровестиИЗакрыть'
	И я жду закрытия окна 'Скидка (наценка) * от * (Подготовлен) *' в течение 20 секунд
	Тогда открылось окно 'Скидки (наценки)'
	И Я закрываю окно 'Скидки (наценки)'

Сценарий: Я создаю задание на доставку для ТС "ИмяАвто" на дату "ДатаЗадания"

	И В командном интерфейсе я выбираю 'Склад и доставка' 'Задания на доставку'
	Тогда открылось окно 'Задания на доставку'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Задание на доставку (создание)'
	И из выпадающего списка с именем "Статус" я выбираю точное значение 'Отправлено'
	И в поле с именем 'Дата' я ввожу текст 'ДатаЗадания'
	И я нажимаю кнопку выбора у поля с именем "ТранспортноеСредство"
	И Я выбираю транспортное средство "ИмяАвто"
	Тогда открылось окно 'Задание на доставку (создание) *'
	И из выпадающего списка с именем "Склад" я выбираю по строке 'Склад готовой продукции'
	И в поле с именем 'ДатаВремяРейсаПланС' я ввожу текст 'ДатаЗадания'
	И в поле с именем 'ДатаВремяРейсаФактС' я ввожу текст 'ДатаЗадания'
	И в поле с именем 'ДатаВремяРейсаПланПо' я ввожу текст 'ДатаЗадания'
	И в поле с именем 'ДатаВремяРейсаФактПо' я ввожу текст 'ДатаЗадания'
	И я нажимаю на кнопку с именем 'ФормаПровестиИЗакрыть'
	И я жду закрытия окна 'Задание на доставку (создание) *' в течение 20 секунд
	Тогда открылось окно 'Задания на доставку'
	И Я закрываю окно 'Задания на доставку'